spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Static Public Member Functions | List of all members
spot::default_environment Class Referencefinal

A laxist environment. More...

`#include <spot/tl/defaultenv.hh>`

Inheritance diagram for spot::default_environment:
Collaboration diagram for spot::default_environment:

## Public Member Functions
virtual formula | require (const std::string &prop_str) override
| Obtain the formula associated to prop_str. More...
virtual const std::string & | name () const override
| Get the name of the environment. More...

## Static Public Member Functions
static default_environment & | instance ()
| Get the sole instance of spot::default_environment. More...

## Detailed Description

A laxist environment.

This environment recognizes all atomic propositions.

This is a singleton. Use default_environment::instance() to obtain the instance.

## Member Function Documentation

static default_environment& spot::default_environment::instance | ( |  | ) |
| static

Get the sole instance of spot::default_environment.

virtual const std::string& spot::default_environment::name | ( |  | ) | const
| override virtual

Get the name of the environment.

Implements spot::environment.

virtual formula spot::default_environment::require | ( | const std::string & | prop_str | ) |
| override virtual

Obtain the formula associated to prop_str.

Usually prop_str, is the name of an atomic proposition, and spot::require simply returns the associated spot::formula.

Note this is not a `const` method. Some environments will "create" the atomic proposition when requested.

Returns
  0 iff prop_str is not part of the environment, or the associated spot::formula otherwise.

Implements spot::environment.

The documentation for this class was generated from the following file:

- spot/tl/defaultenv.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.